Skip to content

Update Contractor Document

Update the private/public visibility status of a document attached to a contractor record. Requires the CONTRACTOR_MANAGEMENT feature flag and ADMIN or MANAGE_CONTRACTORS permissions.

Parameters

name * are required parametersdata typedescription
contractorId*stringThe unique identifier of the contractor
documentId*stringThe unique identifier of the document to update
body.isPrivate*booleanWhether the document should be private

Return Value

The updated contractor document record.

Examples

bash
curl -X PUT "https://app.wombat.software/api/{targetPath}/contractor/:contractorId/document/:documentId/set-private-status" \
  -H "Content-Type: application/json" \
  -H "Authentication: Bearer ..." \
  -d '{"isPrivate": true}'

ENDPOINTS

put/api/{targetPath}/contractor/:contractorId/document/:documentId/set-private-status